TYPO3 Core - Bug #93977

Broken acceptance test in page tree filter
2021-04-23 13:16 - Benjamin Franzke

Status: Closed Start date: 2021-04-23
Priority: Should have Due date:

Assignee: % Done: 100%
Category: Backend JavaScript Estimated time: 0.00 hour
Target version: 11.2

TYPO3 Version: 11 Complexity:

PHP Version: Is Regression:

Tags: Sprint Focus:

Description

https://qitlab.typo3.org/TYPQO3/Cl/cms/-/jobs/37204

Broken since https://review.typo3.0rg/68835 has been merged without poisitive gitlab-ci vote.

1) PageTreeFilterCest: Deleting page with filter applied respects filter upon page tree reload
Test Acceptance/Backend/PageTree/PageTreeFilterCest.php:deletingPageWithFilterAppliedRespectsFil
terUponPageTreeReload

Step Click with right button "//*[text ()='inline mngroup']"

Fail CSS or XPath element with //*[text()='inline mngroup'] was not found.

Scenario Steps:

13. $I->clickWithRightButton ("//*[text ()='inline mngro...") at Acceptance/Backend/PageTree/PageTr
eeFilterCest.php:109

12. $I->canSee("inline mngroup", "#typo3-pagetree-tree ...") at Acceptance/Backend/PageTree/PageTr
eeFilterCest.php:107

11. $I->canSee("elements group", "#typo3-pagetree-tree ...") at Acceptance/Backend/PageTree/PageTr

eeFilterCest.php:106
10. $I->wait (0.5) at Acceptance/Backend/PageTree/PageTreeFilterCest.php:143

9. $I->waitForJS ("return $.active == 0;",10) at Acceptance/Backend/PageTree/PageTreeFilterCest.ph
p:141

8. $I->fillField("#typo3-pagetree #typo3-paget...","Group") at Acceptance/Backend/PageTree/PageTr
eeFilterCest.php:103
Artifacts:

Png: /builds/TYPO3/CI/cms/typo3/sysext/core/Tests/../../../../typo3temp/var/tests/AcceptanceReport
s/TYPO3.CMS.Core.Tests.Acceptance.Backend.PageTree.PageTreeFilterCest.deletingPageWithFilterApplie
dRespectsFilterUponPageTreeReload.fail.png

Html: /builds/TYPO3/CI/cms/typo3/sysext/core/Tests/../../../../typo3temp/var/tests/AcceptanceRepor
ts/TYPO3.CMS.Core.Tests.Acceptance.Backend.PageTree.PageTreeFilterCest.deletingPageWithFilterAppli
edRespectsFilterUponPageTreeReload.fail.html

FAILURES!

Tests: 14, Assertions: 60, Failures: 1.

Related issues:
Related to TYPO3 Core - Bug #87743: Pagetree filter: highlighting of search p... Closed 2019-02-19

Associated revisions

Revision Oec95a1d - 2021-04-23 14:30 - Benjamin Franzke
[BUGFIX] Fix PageTreeFilterCest

The SvgTree markup changed in #87743 causing
acceptance test failures.

This wasn't discovered as gitlab-ci missed to vote negative.
The text node for the page "inline mngroup" now

contains additional HTML when filtering for "Group".

This new markup rendered the previous xpath invalid:

inline mné&lt;tspan class="node-highlight-text"&gt;group&lt;/tspan&gt;
https://gitlab.typo3.org/TYPO3/CI/cms/-/jobs/37204
https://review.typo3.org/68835

The xpath is now adapted to only filter for the text node.

Releases: master

Resolves: #93977

Related: #87743

Change-Id: 1d72e6239536¢52cb30912b095d720331a8a3212f
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/68849
Tested-by: Oliver Hader <oliver.hader@typo3.org>
Tested-by: TYPO3com <noreply@typo3.com>

Tested-by: core-ci <typo3@b13.com>

Tested-by: Oliver Bartsch <bo@cedev.de>

Reviewed-by: Oliver Hader <oliver.hader@typo3.org>
Reviewed-by: Oliver Bartsch <bo@cedev.de>

History

#1 - 2021-04-23 13:17 - Benjamin Franzke
- Related to Bug #87743: Pagetree filter: highlighting of search phrase added

#2 - 2021-04-23 13:19 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/68848

#3 - 2021-04-23 14:03 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/68849

#4 - 2021-04-23 14:18 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/68849

#5 - 2021-04-23 14:35 - Benjamin Franzke
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset 0ec95a1d2279aea18cc232a620098d746f1{34d6.

#6 - 2021-05-07 19:37 - Benni Mack

- Status changed from Resolved to Closed
